Free Support Forum - aspose.com

New License file not working with older dll

Hi,

We purchaased a new Aspose.cells.lic license but it is not working with my older Aspose.cells.dll file(4.4.0).How to resolve this issue?


Hi,

Thanks for your posting and using Aspose.Cells for .NET.

If you want to use the older dll, then you do not need a new license. Just use your older license.

But if you want to use the new license, then please use the newer dll that falls inside your license subscription expiry date.

License is valid for 1-year, for example, if you have purchased license today i.e Jan-28-2013, then you can use any newer dll till Jan-28-2014.

After Jan-28-2014, you cannot use any newer dll and you will have to upgrade your license. However, you still can use older dlls without any new license with your existing old license.